<?php
/**
 * @package    bitpayir payment module
 * @author     bdt team
 * @copyright  2014  bitpay.ir
 * @version    1.00
 */
@session_start();
if (isset($_GET['do'])) {
	include (dirname(__FILE__) . '/../../config/config.inc.php');
	include (dirname(__FILE__) . '/../../header.php');
	include_once (dirname(__FILE__) . '/bitpayir.php');
	$bitpayir = new bitpayir;


	if ($_GET['do'] == 'payment') {

			$bitpayir->do_payment($cart);

	} else {
		if (isset($_GET['id']) && isset($_GET['amount']) && isset($_GET['trans_id']) && isset($_GET['id_get'])) {
			$orderId = $_GET['id'];
			$amount  = $_GET['amount'];
			$currency_id = $_GET['currency_id'];
			$currency_iso_code = $_GET['iso_code'];
			$hashGet = $_GET['hashCode'];
			
			
			if (isset($hashGet)) {
				$hash = Configuration::get('bitpayir_HASH');
				
				$hash = md5($orderId . $amount . $hash);
				
				
				if ($hash === $hashGet) {
					
					$api = Configuration::get('bitpayir_API');
					
					$trans_id	= $_GET['trans_id'];
					$id_get	  = $_GET['id_get'];
					
					$ch = curl_init();
					curl_setopt($ch,CURLOPT_URL,"https://bitpay.ir/payment/gateway-result-second");
					curl_setopt($ch,CURLOPT_POSTFIELDS,"api=$api&id_get=$id_get&trans_id=$trans_id&json=1");
					curl_setopt($ch,CURLOPT_SSL_VERIFYPEER, FALSE);
					curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
					$res = curl_exec($ch);
					curl_close($ch);
					
					$parseDecode = json_decode($res);
					
					if ($parseDecode->status === 1 && $parseDecode->amount == $amount) {
						//error_reporting(E_ALL);
						
						if ($currency_iso_code != 'IRR'){
							$amount = $amount / 10;
						}
						
						$card_number = $parseDecode->cardNum;
						
						$message = 'تراکنش شماره ' . $trans_id . ' با شماره کارت ' . $card_number. ' با موفقیت انجام شد';
						
						$bitpayir -> validateOrder($orderId, _PS_OS_PAYMENT_, $amount, $bitpayir -> displayName, $message, array(), $cookie -> id_currency);
						$_SESSION['order' . $orderId] = '';
						Tools::redirect('history.php');
					} else {
						echo $bitpayir -> error($bitpayir -> l('تراکنش ناموفق بود، شماره تراکنش : '. $trans_id));
					}

				} else {
					echo $bitpayir -> error($bitpayir -> l('اطلاعات سفارش تطابق ندارد'));
				}
			} else {
				echo $bitpayir -> error($bitpayir -> l('خطا در بازیابی اطلاعات سفارش'));
			}
		} else {
			echo $bitpayir -> error($bitpayir -> l('اطلاعات تراکنش نامعتبر است'));
		}
	}
	include_once (dirname(__FILE__) . '/../../footer.php');
} else {
	_403();
}
function _403() {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}
